import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:number_hint/number_hint.dart';

void main() {
  const MethodChannel channel = MethodChannel('number_hint');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await NumberHint.requestNumberHint, '42');
  });
}
